summaryrefslogtreecommitdiffstats
path: root/ci/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/install.sh')
-rw-r--r--ci/install.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/ci/install.sh b/ci/install.sh
new file mode 100644
index 0000000..42c96b4
--- /dev/null
+++ b/ci/install.sh
@@ -0,0 +1,13 @@
+set -euxo pipefail
+
+main() {
+ rustup component add rust-src
+ SYSROOT=$(rustc --print sysroot)
+ if [[ ! "$SYSROOT" =~ "$TARGET" ]]; then
+ rustup target add $TARGET
+ else
+ echo "Target $TARGET is already installed"
+ fi
+}
+
+main